# IFramePanel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [IFramePanel](/api/wisej.web/content/wisej.web.iframepanel.md)

Represents a control that displays any HTML file in an IFrame element.

{% tabs %}
{% tab title="C#" %}

```csharp
public class IFramePanel : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class IFramePanel
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) IFramePanel()

Initializes a new instance of [IFramePanel](/api/wisej.web/content/wisej.web.iframepanel.md).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Allow

[String](https://docs.microsoft.com/dotnet/api/system.string): Allows the IFrame to access certain local features when using a cross-origin source. Valid values for allow include: geolocation, microphone, camera, midi, encrypted-media. See [deprecating-permissions-in-cross-origin-iframes](https://sites.google.com/a/chromium.org/dev/Home/chromium-security/deprecating-permissions-in-cross-origin-iframes) for more information on the syntax and values to use in this attribute. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) BorderStyle

[BorderStyle](/api/wisej.web/enumerations/wisej.web.borderstyle.md): Indicates the border style for the control. (Default: `None`)

### ![](/files/hsR4ok3152WyAf8J2C1u) ScrollBars

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the control shows the scrollbars when needed. (Default: `True`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Url

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the source Url of the IFrame. (Default: `""`)

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) OnDocumentCompleted(e)

Fires the [DocumentCompleted](#documentcompleted) event.

| Parameter | Type                                                                | Description                                                                                         |
| --------- | ------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | A [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnUrlChanged(e)

Fires the [UrlChanged](#urlchanged) event.

| Parameter | Type                                                                | Description                                                                                         |
| --------- | ------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | A [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebEvent(e)

Processes the event from the client.

| Parameter | Type                                                        | Description      |
| --------- | ----------------------------------------------------------- | ---------------- |
| **e**     | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | Event arguments. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebUpdate(state)

Updates the client component using the state information.

| Parameter | Type                                                          | Description           |
| --------- | ------------------------------------------------------------- | --------------------- |
| **state** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic state object. |

### ![](/files/hsR4ok3152WyAf8J2C1u) Reload()

Reloads the contents of the IFrame.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) DocumentCompleted

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the IFrame has finished loading the document.

### ![](/files/hsR4ok3152WyAf8J2C1u) UrlChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the Url property is changed.

## Inherited By

| Name                                                           | Description                                                                         |
| -------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| [AspNetPanel](/api/wisej.web/content/wisej.web.aspnetpanel.md) | Represents a control that can host ASP.NET or MVC pages within a Wisej application. |

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/wisej.web.iframepanel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
